#!/usr/bin/env python
import sys, os
import EM

## Usage message:
Usage = "Usage: " + sys.argv[0]+ " <project def file>\n"

if len(sys.argv) < 2:
	print Usage
	sys.exit(1)
			
############################################################
# load the Project configuration, returned in object 'proj'
p = EM.Project()
try:	
	p.ReadProjectFile(sys.argv[1])
except:
	print "Error in parsing project definition file '"+ sys.argv[1]+"', please make sure it is in the correct format"
	print Usage
	sys.exit(2)
############################################################
try:
	p.SetupRefineCycles()
	p.BuildInitialModel()
except KeyboardInterrupt:
	pass
