#!/usr/bin/env python
import sys, os, EM

## Usage message:
Usage = "Usage: " + sys.argv[0]+ " <icos3f.mrc> <icos5f.mrc>\n"

if len(sys.argv) != 3:
	print Usage
	sys.exit(1)

############################################################
imginfo = EM.ImageInfo(sys.argv[1])
cmd = ""
tempmap = ""
if imginfo['nx']==imginfo['ny'] and imginfo['nx']==imginfo['nz']*2-1:	# the half maphas to be converted to full map first
	import tempfile
	tempmap = tempfile.mktemp(".mrc")
	cmd += "hlf3fold2full3fold %s %s;" % (sys.argv[1],tempmap)
else:
	tempmap = sys.argv[1]

cmd +="proc3d %s %s rot=79.1853,120,198.004" % (tempmap, sys.argv[2])

try:
	print cmd
	os.system(cmd)
	if tempmap != sys.argv[1]: os.remove(tempmap)
except :
	if tempmap != sys.argv[1]: os.remove(tempmap)
