#!/usr/bin/env python
import EM
import ConfigParser
import sys

conf=ConfigParser.ConfigParser()
#proj=EM.Project()
execfile(sys.argv[1])
proj.Data.append(EM.Micrograph())

conf.add_section("Project")
for (k, v) in proj.__dict__.items():
	if k[:2] != "__" and k[-2:] != "__" and k != "Data":	
		conf.set("Project",k,v)

for m in range(len(proj.Data)):	
	section="Micrograph %d" % (m)
	conf.add_section(section)
	for (k, v) in proj.Data[m].__dict__.items():
		if k[:2] != "__" and k[-2:] != "__" and k != "pair":	
			conf.set(section,k,v)
		elif k=="pair" and v:
			sectionp="Micrograph %d pair" % (m)
			conf.add_section(sectionp)
			for (kp, vp) in proj.Data[m].pair.__dict__.items():
				if kp[:2] != "__" and kp[-2:] != "__" and kp != "pair":	
					conf.set(sectionp,kp,vp)
			
file=open("test-config.txt","w")
conf.write(file)		


